1. Build Form
X Lead Main
  • Overview
  • API Key Integration
  • ACCOUNT
    • Get Account
      GET
  • ACCOUNT USERS
    • List Users
      GET
    • Get User
      GET
    • Get TA Lists
      GET
    • Get Tags
      GET
    • Query Users
      POST
    • Get User ID
      POST
    • Create User
      POST
    • Update User
      POST
    • Delete User
      DELETE
  • LEAD FORMS
    • Build Form
      • Create
        POST
      • Clarify
        POST
      • Confirm
        POST
    • Edit Form
      • Update
    • List Users
      GET
    • Get User
      GET
  1. Build Form

Clarify

POST
https://api.main.xleadfunnel.com/v1/lead-forms/clarify
Continue a draft after need_clarification (SSE). Terminal is rc 110 or 120; then Clarify again or Confirm.

Request

Body Params application/json

Example
// Add to join a particular form
{
    "draft_id": "64f5313f35e6a55c52d1fcb",
    "answers": [
        {
            "id": "conflict_inquiry_minimum_contact",
            "value": "A"
        }
    ]
}

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
action_type :
'set_value' let user pick one option as value
'append_note' allows user to further supplement description
// Prompts to user to answer questions
{
    "rc": 110,
    "rm": "This drafted form requires user to clarify",
    "draft_id": "63aadd3754bd917du9312w",
    "turn": 1,
    "max_turns": 8,
    "questions": [
        {
            "id": "conflict_inquiry_minimum_contact",
            "title": "諮詢表單至少需要一個聯絡欄位",
            "reason": "你目前的設定沒有保留電郵或手機,但諮詢表單至少要有一個聯絡欄位,方便後續跟進。",
            "followup": "請選擇至少保留一個聯絡欄位",
            "choices": [
                {
                    "letter": "A",
                    "label": "保留電郵",
                    "action_type": "set_value",
                    "target_key": "form_field_email",
                    "target_value": "yes"
                },
                {
                    "letter": "B",
                    "label": "保留手機",
                    "action_type": "set_value",
                    "target_key": "form_field_mobile",
                    "target_value": "yes"
                },
                {
                    "letter": "C",
                    "label": "補充文字說明",
                    "action_type": "append_note",
                    "note_prefix": "【衝突確認】聯絡欄位需求"
                }
            ]
        }
    ]
}
Modified at 2026-07-28 08:02:58
Previous
Create
Next
Confirm
Built with